import { StateStore } from './state_store';
import { BlockInstance, BlockRewardOptions } from './types';
export declare const calculateMilestone: (height: number, blockRewardArgs: BlockRewardOptions) => number;
export declare const calculateReward: (height: number, blockRewardArgs: BlockRewardOptions) => bigint;
export declare const calculateSupply: (height: number, blockRewardArgs: BlockRewardOptions) => bigint;
export declare const getTotalFees: (blockInstance: BlockInstance) => {
    readonly totalFee: bigint;
    readonly totalMinFee: bigint;
};
export declare const applyFeeAndRewards: (blockInstance: BlockInstance, stateStore: StateStore) => Promise<void>;
export declare const undoFeeAndRewards: (blockInstance: BlockInstance, stateStore: StateStore) => Promise<void>;
