import { BlockHeader } from '../../types';
import { Base } from './base';
export declare class BlockCache extends Base<BlockHeader> {
    constructor(minCachedItems: number, maxCachedItems: number);
    add(blockHeader: BlockHeader): BlockHeader[];
    refill(blockHeaders: BlockHeader[]): BlockHeader[];
    remove(id: string): BlockHeader[];
    getByID(id: string): BlockHeader | undefined;
    getByIDs(ids: ReadonlyArray<string>): BlockHeader[];
    getByHeight(height: number): BlockHeader | undefined;
    getByHeights(heightList: ReadonlyArray<number>): BlockHeader[];
    getByHeightBetween(fromHeight: number, toHeight: number): BlockHeader[];
}
