"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class TransactionInterfaceAdapter {
    constructor(registeredTransactions = {}) {
        this._transactionClassMap = new Map();
        Object.keys(registeredTransactions).forEach(transactionType => {
            this._transactionClassMap.set(Number(transactionType), registeredTransactions[transactionType]);
        });
    }
    fromJSON(rawTx) {
        const TransactionClass = this._transactionClassMap.get(rawTx.type);
        if (!TransactionClass) {
            throw new Error('Transaction type not found.');
        }
        return new TransactionClass({
            ...rawTx,
        });
    }
}
exports.TransactionInterfaceAdapter = TransactionInterfaceAdapter;
//# sourceMappingURL=transaction_interface_adapter.js.map