export declare const baseBlockSchema: {
    type: string;
    properties: {
        id: {
            type: string;
            format: string;
            minLength: number;
            maxLength: number;
        };
        height: {
            type: string;
        };
        blockSignature: {
            type: string;
            format: string;
        };
        generatorPublicKey: {
            type: string;
            format: string;
        };
        numberOfTransactions: {
            type: string;
        };
        payloadHash: {
            type: string;
            format: string;
        };
        payloadLength: {
            type: string;
        };
        previousBlockId: {
            type: string;
            format: string;
            minLength: number;
            maxLength: number;
        };
        timestamp: {
            type: string;
        };
        totalAmount: {
            typeof: string;
            format: string;
        };
        totalFee: {
            typeof: string;
            format: string;
        };
        reward: {
            typeof: string;
            format: string;
        };
        transactions: {
            type: string;
            uniqueItems: boolean;
        };
        version: {
            type: string;
            minimum: number;
        };
    };
    required: string[];
};
