"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_cryptography_1 = require("@liskhq/lisk-cryptography");
exports.getId = (blockBytes) => {
    const hashedBlock = lisk_cryptography_1.hash(blockBytes);
    const temp = Buffer.alloc(8);
    for (let i = 0; i < 8; i += 1) {
        temp[i] = hashedBlock[7 - i];
    }
    const id = temp.readBigUInt64BE().toString();
    return id;
};
exports.uniqBy = (arr, property, set = new Set()) => arr.filter(element => (value => !set.has(value) && set.add(value))(element[property]));
//# sourceMappingURL=utils.js.map