import { DataAccess } from './data_access';
import { BlockHeader, BlockInstance, Storage } from './types';
export declare const verifyBlockNotExists: (storage: Storage, block: BlockInstance) => Promise<void>;
export declare const verifyPreviousBlockId: (block: BlockInstance, lastBlock: BlockInstance, genesisBlock: BlockInstance) => void;
interface BlockVerifyInput {
    readonly dataAccess: DataAccess;
    readonly genesisBlock: BlockHeader;
}
export declare class BlocksVerify {
    private readonly dataAccess;
    private readonly genesisBlock;
    constructor({ dataAccess, genesisBlock }: BlockVerifyInput);
    checkExists(block: BlockInstance): Promise<void>;
    checkTransactions(blockInstance: BlockInstance): Promise<void>;
    matchGenesisBlock(block: BlockHeader): boolean;
}
export {};
