/// <reference types="node" />
import { BaseTransaction, StateStore, StateStorePrepare } from './base_transaction';
import { TransactionError } from './errors';
import { BlockHeader } from './transaction_types';
declare type Modify<T, R> = Omit<T, keyof R> & R;
export declare type BlockHeaderJSON = Modify<BlockHeader, {
    readonly totalAmount: string;
    readonly totalFee: string;
    readonly reward: string;
}>;
export interface ProofOfMisbehaviorAsset {
    readonly header1: BlockHeaderJSON;
    readonly header2: BlockHeaderJSON;
    reward: bigint;
}
export declare class ProofOfMisbehaviorTransaction extends BaseTransaction {
    readonly asset: ProofOfMisbehaviorAsset;
    static TYPE: number;
    constructor(rawTransaction: unknown);
    assetToJSON(): object;
    protected assetToBytes(): Buffer;
    prepare(store: StateStorePrepare): Promise<void>;
    protected validateAsset(): ReadonlyArray<TransactionError>;
    protected applyAsset(store: StateStore): Promise<ReadonlyArray<TransactionError>>;
    protected undoAsset(store: StateStore): Promise<ReadonlyArray<TransactionError>>;
}
export {};
