"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transactionInterface = {
    required: [
        'toJSON',
        'getBytes',
        'validate',
        'apply',
        'undo',
        'prepare',
        'verifySignatures',
    ],
    properties: {
        toJSON: {
            typeof: 'function',
        },
        getBytes: {
            typeof: 'function',
        },
        validate: {
            typeof: 'function',
        },
        apply: {
            typeof: 'function',
        },
        undo: {
            typeof: 'function',
        },
        prepare: {
            typeof: 'function',
        },
        verifySignatures: {
            typeof: 'function',
        },
    },
};
exports.baseTransaction = {
    $id: 'lisk/base-transaction',
    type: 'object',
    required: ['type', 'senderPublicKey', 'fee', 'nonce', 'asset', 'signatures'],
    properties: {
        blockId: {
            type: 'string',
            format: 'id',
        },
        height: {
            type: 'integer',
            minimum: 0,
        },
        confirmations: {
            type: 'integer',
            minimum: 0,
        },
        type: {
            type: 'integer',
            minimum: 0,
        },
        nonce: {
            type: 'string',
            format: 'nonce',
        },
        fee: {
            type: 'string',
            format: 'fee',
        },
        senderPublicKey: {
            type: 'string',
            format: 'publicKey',
        },
        signatures: {
            type: 'array',
            items: {
                oneOf: [
                    { type: 'string', format: 'signature' },
                    { type: 'string', format: 'emptyString' },
                ],
            },
            minItems: 1,
            maxItems: 64,
        },
        asset: {
            type: 'object',
        },
        receivedAt: {
            type: 'string',
            format: 'date-time',
        },
    },
};
//# sourceMappingURL=schema.js.map