"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_cryptography_1 = require("@liskhq/lisk-cryptography");
exports.buildPublicKeyPassphraseDict = (passphrases) => {
    const publicKeyPassphrase = {};
    passphrases.forEach(aPassphrase => {
        const keys = lisk_cryptography_1.getPrivateAndPublicKeyFromPassphrase(aPassphrase);
        if (!publicKeyPassphrase[keys.publicKey]) {
            publicKeyPassphrase[keys.publicKey] = {
                ...keys,
                passphrase: aPassphrase,
            };
        }
    });
    return publicKeyPassphrase;
};
//# sourceMappingURL=build_key_passphrase_dict.js.map