"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_cryptography_1 = require("@liskhq/lisk-cryptography");
const lisk_validator_1 = require("@liskhq/lisk-validator");
const constants_1 = require("./constants");
exports.getNetworkIdentifierWithInput = (input, networkConfig) => {
    if (input !== undefined && Object.keys(constants_1.NETHASHES).includes(input)) {
        return lisk_cryptography_1.getNetworkIdentifier(constants_1.NETHASHES[input], constants_1.COMMUNITY_IDENTIFIER);
    }
    if (input !== undefined) {
        if (!lisk_validator_1.isHexString(input)) {
            throw new Error('Network identifier must be hex string');
        }
        return input;
    }
    if (networkConfig !== undefined &&
        Object.keys(constants_1.NETHASHES).includes(networkConfig)) {
        return lisk_cryptography_1.getNetworkIdentifier(constants_1.NETHASHES[networkConfig], constants_1.COMMUNITY_IDENTIFIER);
    }
    throw new Error('Invalid network identifier');
};
//# sourceMappingURL=network_identifier.js.map