/// <reference types="node" />
import { BaseTransaction, StateStore, StateStorePrepare } from './base_transaction';
import { TransactionError } from './errors';
export interface Unlock {
    readonly delegateAddress: string;
    readonly amount: bigint;
    readonly unvoteHeight: number;
}
export interface UnlockAsset {
    readonly unlockingObjects: ReadonlyArray<Unlock>;
}
export interface RawAssetUnlock {
    readonly delegateAddress: string;
    readonly amount: string;
    readonly unvoteHeight: number;
}
export declare class UnlockTransaction extends BaseTransaction {
    readonly asset: UnlockAsset;
    static TYPE: number;
    constructor(rawTransaction: unknown);
    assetToJSON(): object;
    protected assetToBytes(): Buffer;
    prepare(store: StateStorePrepare): Promise<void>;
    protected validateAsset(): ReadonlyArray<TransactionError>;
    protected applyAsset(store: StateStore): Promise<ReadonlyArray<TransactionError>>;
    protected undoAsset(store: StateStore): Promise<ReadonlyArray<TransactionError>>;
}
