"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_cryptography_1 = require("@liskhq/lisk-cryptography");
exports.createBaseTransaction = ({ passphrase, nonce, fee, }) => {
    const { publicKey: senderPublicKey } = passphrase
        ? lisk_cryptography_1.getAddressAndPublicKeyFromPassphrase(passphrase)
        : { publicKey: undefined };
    return {
        nonce,
        fee,
        senderPublicKey,
    };
};
exports.SIGNATURE_NOT_PRESENT = Buffer.from('00', 'hex');
exports.SIGNATURE_PRESENT = Buffer.from('01', 'hex');
exports.serializeSignatures = (signatures) => {
    const signaturesBuffer = signatures.map(signature => {
        if (signature.length === 0) {
            return exports.SIGNATURE_NOT_PRESENT;
        }
        return Buffer.concat([exports.SIGNATURE_PRESENT, lisk_cryptography_1.hexToBuffer(signature)]);
    });
    return Buffer.concat(signaturesBuffer);
};
//# sourceMappingURL=create_base_transaction.js.map