"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VOTER_PUNISH_TIME = 260000;
const SELF_VOTE_PUNISH_TIME = 780000;
exports.getPunishmentPeriod = (sender, delegateAccount, lastBlockHeight) => {
    if (delegateAccount.delegate.pomHeights.length === 0) {
        return 0;
    }
    const lastPomHeight = Math.max(...delegateAccount.delegate.pomHeights);
    const currentHeight = lastBlockHeight + 1;
    const punishTime = sender.address === delegateAccount.address
        ? SELF_VOTE_PUNISH_TIME
        : VOTER_PUNISH_TIME;
    return punishTime - (currentHeight - lastPomHeight);
};
//# sourceMappingURL=is_punished.js.map